beginStateMachine()

	-- called when questor builds up all known questScripts
	onEnter(function(msg)
		print("questErotic2 entered");
		setState("initial");
	end )
	
	-- on game over: relationship conditions get reset to 0 and all quests are reset to initial
	onMsg("questreset", function(msg)
		setState("initial");
	end ) 
---------------------------------------------------------------------------------------------------------------------------------------	
	
	
	state("initial") 
		onMsg("checkCondition", function(msg)
			-- check if questRomance2 has already started
			--if getParent().questRomance2.getState() ~= "initial" then
			--	setState("done");
			--end
			
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			if ( -- condition here
		----------------
				min(	mike.getRelationshipCondition(ELAINE, REL_EROTIC),
					elaine.getRelationshipCondition(MIKE, REL_EROTIC)) >= 2)
		----------------
			then
				-- go to waitBed
				setState("waitBed");
			end
		end )
		
		
	state("waitBed")
		-- wait for mike going to bed

		onMsg("queueInteraction", function(msg)
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);
			
			if msg.data == "sleep" and getStateObjectFromID(msg.sender) == mike then
				-- go to talk position
				
				--mike.cancelCurrentActivity();
				mike.pushCommand("pm_talkCutscene", "talkCutscene", elaine, "questErotic2");
				--mike.queueCommand("pm_talkCutscene", "talkCutscene", elaine, "questErotic2");
				
				setState("talktome");
			end
		end )


	state("talktome")
		-- as soon as arrived - start dialog (interaction.talkCutscene sends talking)
		onMsg("talking", function(msg)
			if (msg.data == "questErotic2") then
				popupConversation("dialogErotic2");
				setState("donetalktome");
			end
		end )
		
	state("donetalktome")
		-- last dialog box clicked away
		onMsg("yes", function(msg)
			-- cancel
			local mike = getParent().getParent().getCharacter(MIKE);
			local elaine = getParent().getParent().getCharacter(ELAINE);

			mike.cancelCurrentActivity();
			elaine.cancelCurrentActivity();
			setState("done");
		end )

---------------------------------------------------------------------------------------------------------------------------------------	

		
	state("done")
	
	-- sackgasse hier
		
		
		
endStateMachine()
